
Foreman - Bug #29524

Tracker # 28633 (Resolved): Update GraphQL to work with Rails 6

Update GraphQL failing tests on Rails 6

04/14/2020 01:49 PM - Ondřej Ezr

Status: Closed   

Priority: Normal   

Assignee: Ondřej Ezr   

Category: Tests   

Target version:    

Difficulty: trivial Fixed in Releases: 2.1.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/7588

  

Description

Some tests don't work correctly on Rails 6.

Associated revisions

Revision f707101e - 04/17/2020 08:37 AM - Ondřej Ezr

Fixes #29524 - association preloading in testing

History

#1 - 04/14/2020 01:51 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/7588 added

#2 - 04/17/2020 08:37 AM - The Foreman Bot

- Fixed in Releases 2.1.0 added

#3 - 04/17/2020 09:01 AM - Ondřej Ezr

- Status changed from Ready For Testing to Closed

Applied in changeset f707101e7c75adec1f44f163b44ef051df393be7.
